Subject: Re: [PATCH v2 1/2] powerpc: Fix building of feature-fixup tests on ppc32

From: Michael Ellerman <[email-masked]>
Date: Wed, 02 Jul 2008 19:35:02 +1000

On Tue, 2008-07-01 at 10:16 -0500, Kumar Gala wrote:
> We need to use PPC_LCMPI otherwise we get compile errors like:
> 
> arch/powerpc/lib/feature-fixups-test.S: Assembler messages:
> arch/powerpc/lib/feature-fixups-test.S:142: Error: Unrecognized opcode: `cmpdi'
> arch/powerpc/lib/feature-fixups-test.S:149: Error: Unrecognized opcode: `cmpdi'
> arch/powerpc/lib/feature-fixups-test.S:164: Error: Unrecognized opcode: `cmpdi'

Sorry, I definitely built (and booted) a 32-bit config, so I'm not sure
how I missed that. What toolchain are you using?

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person